Bug 226242 - php flavors
Summary: php flavors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-27 14:00 UTC by Mathieu Arnold
Modified: 2018-03-08 20:04 UTC (History)
1 user (show)

See Also:
mat: exp-run?


Attachments
v1, based on r463028 (269.95 KB, patch)
2018-02-27 14:00 UTC, Mathieu Arnold
no flags Details | Diff
v2, based on r463734 (270.82 KB, patch)
2018-03-06 19:04 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2018-02-27 14:00:21 UTC
Created attachment 191053 [details]
v1, based on r463028
Comment 1 Antoine Brodin freebsd_committer 2018-03-01 19:53:23 UTC
It seems no package is build for the following ports:

- devel/phpunit6
- devel/phpunit7
- www/moodle34
- www/typo3-8
Comment 3 Mathieu Arnold freebsd_committer 2018-03-02 12:29:48 UTC
(In reply to Antoine Brodin from comment #1)
> It seems no package is build for the following ports:
> 
> - devel/phpunit6
> - devel/phpunit7
> - www/moodle34
> - www/typo3-8

No packages were ever built for these, so it does not change anything.  Their maintainers will be able to add flavors to them if they want.



(In reply to Antoine Brodin from comment #2)
> On i386,  there seems to be 1 new failure:
> 
> http://package23.nyi.freebsd.org/data/111i386-default-PR226242/2018-03-
> 01_21h19m23s/logs/errors/php72-pecl-grpc-1.9.0.log

Marked it as BROKEN in that case.
Comment 4 Mathieu Arnold freebsd_committer 2018-03-06 19:04:26 UTC
Created attachment 191256 [details]
v2, based on r463734

Should be all ok.
Comment 5 commit-hook freebsd_committer 2018-03-08 19:48:49 UTC
A commit references this bug:

Author: mat
Date: Thu Mar  8 19:48:46 UTC 2018
New revision: 463917
URL: https://svnweb.freebsd.org/changeset/ports/463917

Log:
  Introduce PHP flavors.

    Ports using USES=php:phpize, php:ext, php:zend, and php:pecl are now
    flavored.  They will automatically get flavors (php56, php70, php71, php72)
    depending of the versions they support (set with IGNORE_WITH_PHP).  As a
    consequence, ports using USES=pear and USES=horde are also flavored.

  PR:		226242
  Submitted by:	mat
  Exp-run by:	antoine
  Approved by:	portmgr
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D14208

Changes:
  head/CHANGES
  head/MOVED
  head/Mk/Uses/horde.mk
  head/Mk/Uses/pear.mk
  head/Mk/Uses/php.mk
  head/UPDATING
  head/archivers/pear-File_Archive/Makefile
  head/archivers/pear-Horde_Compress/Makefile
  head/archivers/pear-Horde_Compress_Fast/Makefile
  head/archivers/pear-Horde_Pack/Makefile
  head/archivers/php-horde_lz4/Makefile
  head/archivers/php-snappy/Makefile
  head/chinese/php-opencc/Makefile
  head/chinese/phpbb-tw/Makefile
  head/converters/php5-bsdconv/Makefile
  head/databases/Makefile
  head/databases/pear-DB_DataObject/Makefile
  head/databases/pear-DB_DataObject_FormBuilder/Makefile
  head/databases/pear-DB_Pager/Makefile
  head/databases/pear-DB_QueryTool/Makefile
  head/databases/pear-DB_Sqlite_Tools/Makefile
  head/databases/pear-DB_Table/Makefile
  head/databases/pear-DB_ldap/Makefile
  head/databases/pear-DB_ldap2/Makefile
  head/databases/pear-DoctrineCommon/Makefile
  head/databases/pear-DoctrineDBAL/Makefile
  head/databases/pear-DoctrineORM/Makefile
  head/databases/pear-Horde_Db/Makefile
  head/databases/pear-Horde_HashTable/Makefile
  head/databases/pear-Horde_Mongo/Makefile
  head/databases/pear-MDB/Makefile
  head/databases/pear-MDB2_Driver_mysql/Makefile
  head/databases/pear-MDB2_Driver_mysqli/Makefile
  head/databases/pear-MDB2_Driver_pgsql/Makefile
  head/databases/pear-MDB2_Schema/Makefile
  head/databases/pear-MDB_QueryTool/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_Array/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_CSV/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_DB/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_DBQuery/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_DBTable/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_DataObject/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_MDB2/Makefile
  head/databases/pear-Structures_DataGrid_DataSource_PDO/Makefile
  head/databases/pear-XML_Query2XML/Makefile
  head/databases/pecl-memcached2/Makefile
  head/databases/pecl-rrd1/Makefile
  head/databases/php-mdcached/Makefile
  head/databases/php-memcache/
  head/databases/php-memcache/Makefile
  head/databases/php-memcached/
  head/databases/php-memcached/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/php5-tarantool/Makefile
  head/databases/php7-tarantool/Makefile
  head/databases/php70-memcache/
  head/databases/php70-memcached/
  head/databases/php71-memcache/
  head/databases/php72-memcache/
  head/deskutils/egroupware/Makefile
  head/deskutils/horde-groupware/Makefile
  head/deskutils/horde-kronolith/Makefile
  head/deskutils/horde-mnemo/Makefile
  head/deskutils/horde-nag/Makefile
  head/devel/gitphp/Makefile
  head/devel/horde-content/Makefile
  head/devel/horde-timeobjects/Makefile
  head/devel/horde-whups/Makefile
  head/devel/pear/Makefile
  head/devel/pear/bsd.pear.channel.mk
  head/devel/pear-Config/Makefile
  head/devel/pear-Date_Holidays/Makefile
  head/devel/pear-Date_Holidays_Austria/Makefile
  head/devel/pear-Date_Holidays_Brazil/Makefile
  head/devel/pear-Date_Holidays_Denmark/Makefile
  head/devel/pear-Date_Holidays_Discordian/Makefile
  head/devel/pear-Date_Holidays_EnglandWales/Makefile
  head/devel/pear-Date_Holidays_Germany/Makefile
  head/devel/pear-Date_Holidays_Iceland/Makefile
  head/devel/pear-Date_Holidays_Ireland/Makefile
  head/devel/pear-Date_Holidays_Italy/Makefile
  head/devel/pear-Date_Holidays_Japan/Makefile
  head/devel/pear-Date_Holidays_Netherlands/Makefile
  head/devel/pear-Date_Holidays_Norway/Makefile
  head/devel/pear-Date_Holidays_PHPdotNet/Makefile
  head/devel/pear-Date_Holidays_Romania/Makefile
  head/devel/pear-Date_Holidays_Slovenia/Makefile
  head/devel/pear-Date_Holidays_Sweden/Makefile
  head/devel/pear-Date_Holidays_UNO/Makefile
  head/devel/pear-Date_Holidays_USA/Makefile
  head/devel/pear-Date_Holidays_Ukraine/Makefile
  head/devel/pear-FSM/Makefile
  head/devel/pear-File_Iterator/Makefile
  head/devel/pear-HTML_BBCodeParser/Makefile
  head/devel/pear-HTML_CSS/Makefile
  head/devel/pear-HTML_Page2/Makefile
  head/devel/pear-HTML_QuickForm/Makefile
  head/devel/pear-HTML_QuickForm2/Makefile
  head/devel/pear-HTML_QuickForm_Controller/Makefile
  head/devel/pear-HTML_QuickForm_Livesearch/Makefile
  head/devel/pear-HTML_QuickForm_Renderer_Tableless/Makefile
  head/devel/pear-HTML_QuickForm_SelectFilter/Makefile
  head/devel/pear-HTML_QuickForm_advmultiselect/Makefile
  head/devel/pear-HTML_Select/Makefile
  head/devel/pear-HTML_Select_Common/Makefile
  head/devel/pear-HTML_Table/Makefile
  head/devel/pear-HTML_Template_Flexy/Makefile
  head/devel/pear-Horde_Cache/Makefile
  head/devel/pear-Horde_Core/Makefile
  head/devel/pear-Horde_Nls/Makefile
  head/devel/pear-Horde_Queue/Makefile
  head/devel/pear-I18N/Makefile
  head/devel/pear-Net_Gearman/Makefile
  head/devel/pear-PEAR_Info/Makefile
  head/devel/pear-PEAR_PackageFileManager/Makefile
  head/devel/pear-PEAR_PackageFileManager2/Makefile
  head/devel/pear-PEAR_PackageFileManager_Plugins/Makefile
  head/devel/pear-PHPUnit_MockObject/Makefile
  head/devel/pear-PHP_Beautifier/Makefile
  head/devel/pear-PHP_CodeBrowser/Makefile
  head/devel/pear-PHP_CodeCoverage/Makefile
  head/devel/pear-PHP_CompatInfo/Makefile
  head/devel/pear-PHP_Depend/Makefile
  head/devel/pear-PHP_PMD/Makefile
  head/devel/pear-PHP_Timer/Makefile
  head/devel/pear-PHP_TokenStream/Makefile
  head/devel/pear-PHP_UML/Makefile
  head/devel/pear-PhpDocumentor/Makefile
  head/devel/pear-Pirum/Makefile
  head/devel/pear-SebastianBergmann_FinderFacade/Makefile
  head/devel/pear-SebastianBergmann_Git/Makefile
  head/devel/pear-SebastianBergmann_PHPCPD/Makefile
  head/devel/pear-SebastianBergmann_PHPLOC/Makefile
  head/devel/pear-SebastianBergmann_Version/Makefile
  head/devel/pear-Structures_DataGrid/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_Console/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_HTMLSortForm/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_HTMLTable/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_XUL/Makefile
  head/devel/pear-Symfony_Component_Console/Makefile
  head/devel/pear-Symfony_Component_Finder/Makefile
  head/devel/pear-TheSeer_DirectoryScanner/Makefile
  head/devel/pear-TheSeer_fDOMDocument/Makefile
  head/devel/pear-TheSeer_fXSL/Makefile
  head/devel/pear-TheSeer_phpDox/Makefile
  head/devel/pear-VFS/Makefile
  head/devel/pear-Validate/Makefile
  head/devel/pear-Validate_Finance/Makefile
  head/devel/pear-Validate_US/Makefile
  head/devel/pear-VersionControl_SVN/Makefile
  head/devel/pear-XML_NITF/Makefile
  head/devel/pear-XML_RSS/Makefile
  head/devel/pear-XML_Serializer/Makefile
  head/devel/pear-XML_Transformer/Makefile
  head/devel/pear-XML_Tree/Makefile
  head/devel/pear-channel-doctrine/Makefile
  head/devel/pear-channel-ezc/Makefile
  head/devel/pear-channel-horde/Makefile
  head/devel/pear-channel-htmlpurifier.org/Makefile
  head/devel/pear-channel-openpear/Makefile
  head/devel/pear-channel-pdepend/Makefile
  head/devel/pear-channel-phing/Makefile
  head/devel/pear-channel-phpdoc/Makefile
  head/devel/pear-channel-phpmd/Makefile
  head/devel/pear-channel-phpunit/Makefile
  head/devel/pear-channel-pirum/Makefile
  head/devel/pear-channel-symfony/Makefile
  head/devel/pear-channel-symfony2/Makefile
  head/devel/pear-channel-theseer/Makefile
  head/devel/pear-channel-twig/Makefile
  head/devel/pear-ezc_Base/Makefile
  head/devel/pear-ezc_ConsoleTools/Makefile
  head/devel/pear-htmlpurifier/Makefile
  head/devel/pear-pdepend-staticReflection/Makefile
  head/devel/pear-phing/Makefile
  head/devel/pecl-APCu4/Makefile
  head/devel/pecl-grpc/Makefile
  head/devel/pecl-jsmin2/Makefile
  head/devel/pecl-msgpack0/Makefile
  head/devel/pecl-propro2/Makefile
  head/devel/pecl-raphf2/Makefile
  head/devel/pecl-weakref2/Makefile
  head/devel/pecl-yac/Makefile
  head/devel/phabricator/Makefile
  head/devel/php-jq/Makefile
  head/devel/php-maxminddb/Makefile
  head/devel/php-memoize/Makefile
  head/devel/php-scalar_objects/Makefile
  head/devel/php-uprofiler/Makefile
  head/devel/php5-blitz/Makefile
  head/devel/php5-blitz-devel/Makefile
  head/devel/php5-dav/Makefile
  head/devel/php5-ice/Makefile
  head/devel/php5-pinba/Makefile
  head/devel/php5-thrift/Makefile
  head/devel/phpbt/Makefile
  head/devel/phpunit/Makefile
  head/dns/pear-File_DNS/Makefile
  head/finance/php-tclink/Makefile
  head/ftp/Makefile
  head/ftp/horde-gollem/Makefile
  head/ftp/php-fastdfs/
  head/ftp/php-fastdfs/Makefile
  head/ftp/php56-fastdfs/
  head/ftp/php70-fastdfs/
  head/ftp/php71-fastdfs/
  head/ftp/php72-fastdfs/
  head/graphics/pear-Horde_Image/Makefile
  head/graphics/pear-Image_Barcode/Makefile
  head/graphics/pear-Image_Canvas/Makefile
  head/graphics/pear-Image_Graph/Makefile
  head/graphics/pecl-qrencode/Makefile
  head/graphics/pecl-qrencode/pkg-descr
  head/graphics/php-facedetect/Makefile
  head/graphics/php-geos/Makefile
  head/graphics/php-libpuzzle/Makefile
  head/graphics/php-magickwand/Makefile
  head/graphics/php5-ffmpeg/Makefile
  head/japanese/php5-mecab/Makefile
  head/lang/php56/Makefile.ext
  head/lang/php70/Makefile.ext
  head/lang/php71/Makefile.ext
  head/lang/php72/Makefile.ext
  head/mail/horde-imp/Makefile
  head/mail/horde-ingo/Makefile
  head/mail/horde-turba/Makefile
  head/mail/horde-webmail/Makefile
  head/mail/pear-Horde_Imap_Client/Makefile
  head/mail/pear-Horde_Mail/Makefile
  head/mail/pear-Horde_Mail_Autoconfig/Makefile
  head/mail/pear-Horde_Mapi/Makefile
  head/mail/pear-Horde_Smtp/Makefile
  head/mail/pear-MIME_Type/Makefile
  head/mail/pear-Mail/Makefile
  head/mail/pear-Mail_Queue/Makefile
  head/mail/pear-Mail_mimeDecode/Makefile
  head/mail/pear-Net_Cyrus/Makefile
  head/mail/pear-Net_IMAP/Makefile
  head/mail/pear-Net_LMTP/Makefile
  head/mail/pecl-mailparse2/Makefile
  head/mail/phplist/Makefile
  head/mail/squirrelmail-change_sqlpass-plugin/Makefile
  head/mail/squirrelmail-sasql-plugin/Makefile
  head/math/pecl-bitset2/Makefile
  head/math/pecl-stats2/Makefile
  head/misc/pear-Services_Weather/Makefile
  head/multimedia/php-pHash/Makefile
  head/multimedia/zoneminder/Makefile
  head/net/pear-Auth_RADIUS/Makefile
  head/net/pear-Horde_Kolab_Server/Makefile
  head/net/pear-Net_CDDB/Makefile
  head/net/pear-Net_DNSBL/Makefile
  head/net/pear-Net_Dict/Makefile
  head/net/pear-Net_Finger/Makefile
  head/net/pear-Net_Geo/Makefile
  head/net/pear-Net_GeoIP/Makefile
  head/net/pear-Net_NNTP/Makefile
  head/net/pear-Net_Nmap/Makefile
  head/net/pear-Net_POP3/Makefile
  head/net/pear-Net_SMS/Makefile
  head/net/pear-Net_SMTP/Makefile
  head/net/pear-Net_Sieve/Makefile
  head/net/pear-Net_Vpopmaild/Makefile
  head/net/pear-Net_Whois/Makefile
  head/net/pear-SOAP/Makefile
  head/net/pear-Services_Twitter/Makefile
  head/net/pear-XML_RPC2/Makefile
  head/net/pecl-oauth2/Makefile
  head/net-im/pecl-stomp2/Makefile
  head/net-mgmt/icingaweb2/Makefile
  head/net-mgmt/klg/Makefile
  head/net-mgmt/librenms/Makefile
  head/net-mgmt/nagiosql/Makefile
  head/net-mgmt/observium/Makefile
  head/net-mgmt/phpipam/Makefile
  head/net-mgmt/phpweathermap/Makefile
  head/security/base/Makefile
  head/security/maia/Makefile
  head/security/mailzu/Makefile
  head/security/nextcloud-passman/Makefile
  head/security/nextcloud-twofactor_totp/Makefile
  head/security/nextcloud-twofactor_u2f/Makefile
  head/security/pear-Auth/Makefile
  head/security/pear-Auth_SASL/Makefile
  head/security/pear-Crypt_GPG/Makefile
  head/security/pear-File_Passwd/Makefile
  head/security/pear-File_SMBPasswd/Makefile
  head/security/pear-Horde_Crypt/Makefile
  head/security/pear-Horde_Crypt_Blowfish/Makefile
  head/security/pear-LiveUser/Makefile
  head/security/pear-LiveUser_Admin/Makefile
  head/security/pecl-ssh2-0/Makefile
  head/security/php-suhosin/Makefile
  head/security/snuffleupagus/Makefile
  head/sysutils/pear-Cache/Makefile
  head/sysutils/pear-Horde_Log/Makefile
  head/sysutils/pear-Horde_Vfs/Makefile
  head/sysutils/pear-Log/Makefile
  head/sysutils/pear-Translation2/Makefile
  head/textproc/libmrss-php/Makefile
  head/textproc/pear-File_MARC/Makefile
  head/textproc/pear-Numbers_Words/Makefile
  head/textproc/pear-Spreadsheet_Excel_Writer/Makefile
  head/textproc/pear-Structures_DataGrid_DataSource_RSS/Makefile
  head/textproc/pear-Structures_DataGrid_DataSource_XML/Makefile
  head/textproc/pear-Structures_DataGrid_Renderer_CSV/Makefile
  head/textproc/pear-Structures_DataGrid_Renderer_XLS/Makefile
  head/textproc/pear-Structures_DataGrid_Renderer_XML/Makefile
  head/textproc/pear-Symfony_Component_Yaml/Makefile
  head/textproc/pear-Text_Highlighter/Makefile
  head/textproc/pear-Text_Template/Makefile
  head/textproc/pear-Validate_ISPN/Makefile
  head/textproc/pear-XML_Beautifier/Makefile
  head/textproc/pear-XML_DTD/Makefile
  head/textproc/pear-XML_Wddx/Makefile
  head/textproc/pear-YAML/Makefile
  head/textproc/pecl-xdiff2/Makefile
  head/textproc/pecl-yaml1/Makefile
  head/textproc/php-mecab/Makefile
  head/www/Makefile
  head/www/hastymail2/Makefile
  head/www/hastymail2-devel/Makefile
  head/www/horde-ansel/Makefile
  head/www/horde-base/Makefile
  head/www/horde-passwd/Makefile
  head/www/horde-trean/Makefile
  head/www/horde-wicked/Makefile
  head/www/ilias/Makefile
  head/www/magento/Makefile
  head/www/mediawiki123/Makefile
  head/www/mediawiki127/Makefile
  head/www/mediawiki128/Makefile
  head/www/mediawiki129/Makefile
  head/www/mediawiki130/Makefile
  head/www/nextcloud/Makefile
  head/www/nextcloud-calendar/Makefile
  head/www/nextcloud-contacts/Makefile
  head/www/nextcloud-notes/Makefile
  head/www/nextcloud-tasks/Makefile
  head/www/nibbleblog/Makefile
  head/www/owncloud/Makefile
  head/www/pear-HTTP_Client/Makefile
  head/www/pear-HTTP_Download/Makefile
  head/www/pear-HTTP_FloodControl/Makefile
  head/www/pear-HTTP_Header/Makefile
  head/www/pear-HTTP_Request/Makefile
  head/www/pear-HTTP_Request2/Makefile
  head/www/pear-HTTP_Server/Makefile
  head/www/pear-HTTP_WebDAV_Client/Makefile
  head/www/pear-Services_Amazon/Makefile
  head/www/pear-Services_Amazon_S3/Makefile
  head/www/pear-Services_Blogging/Makefile
  head/www/pear-Services_Compete/Makefile
  head/www/pear-Services_Delicious/Makefile
  head/www/pear-Services_Facebook/Makefile
  head/www/pear-Services_GeoNames/Makefile
  head/www/pear-Services_OpenSearch/Makefile
  head/www/pear-Services_ShortURL/Makefile
  head/www/pear-Services_W3C_CSSValidator/Makefile
  head/www/pear-Services_W3C_HTMLValidator/Makefile
  head/www/pear-Structures_DataGrid_Renderer_Flexy/Makefile
  head/www/pear-Structures_DataGrid_Renderer_Pager/Makefile
  head/www/pear-Structures_DataGrid_Renderer_Smarty/Makefile
  head/www/pear-UDDI/Makefile
  head/www/pear-XML_GRDDL/Makefile
  head/www/pear-twig/Makefile
  head/www/pecl-http/Makefile
  head/www/pecl-http2/Makefile
  head/www/pecl-yaf2/Makefile
  head/www/pecl-yar/Makefile
  head/www/pecl-yar1/Makefile
  head/www/phalcon/Makefile
  head/www/php-screw/Makefile
  head/www/php-templates/Makefile
  head/www/php56-opcache/Makefile
  head/www/php70-opcache/Makefile
  head/www/php71-opcache/Makefile
  head/www/php72-opcache/Makefile
  head/www/phpbb/Makefile
  head/www/smarty2/Makefile
  head/www/smarty3/Makefile
  head/www/unit-php/
  head/www/unit-php/Makefile
  head/www/unit-php56/
  head/www/unit-php70/
  head/www/unit-php71/
  head/www/unit-php72/
  head/www/xcache/Makefile